Puzzle Help And Support

Some known issue and error

  • Can't install application, missing/required .Net Framework 3.5/4.0/4.5

If you get an error massage that "this application required .Net Framework 3.5/4.0/4.5 to install." or something like this. Just install .Net Framework 3.5 or other version based on error massage. You can download .Net Framework from Microsoft's official website by clicking this link blow.

Download Microsoft .Net Framework 3.5

Download Microsoft .Net Framework 4.0

Download Microsoft .Net Framework 4.5

  • Bold, mis-sized text in Puzzle Unit Converter Basic

You may get bold and mis-sized text in Puzzle Unit Converter Basic. You can easily fix it by installing Arial Narrow Font in your computer. You can download Arial Narrow Font by clicking this link blow.

Download Arial Narrow Font

Can't find your help or support topic, Connect Puzzle

Required

Required

Submitting Form...

The server encountered an error.

Form received.

Required

Subscribe Puzzle Newsletter

Required

Required

Submitting Form...

The server encountered an error.

Form received.

Required

Required

YouTube Facebook Instagram
YouTube Facebook Instagram
YouTube